<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");
include "ini_esami.php";


function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________

    $id= $_GET["t"];//id della scheda
    $hash = $_GET["h"];
    $sqlnew="SELECT * FROM esami_stato WHERE id_esami_stato='$id' AND hash='$hash'";
    $risnew=mysqli_query($conn,$sqlnew) or die ('Impossibile selezionare il database');
    $row = mysqli_fetch_array($risnew);
    $anno_scolastico = $row["anno_scolastico"];
    $target = $row["target"];
    $cognome = $row["cognome"];
    $nome = $row["nome"];
    $nato = $row["nato"];
    $provincia = $row["provincia"];
    $data_nascita = $row["data_nascita"];;
    $seconda_lingua = $str_lingua[$row["seconda_lingua"]];
    $giudizio_ammissione = $row["giudizio_ammissione"];
    $voto_ammissione = $str_voto[$row["voto_ammissione"]];
    $consiglio_orientativo = $row["consiglio_orientativo"];
    $traccia_italiano = $row["traccia_italiano"];
    $giudizio_italiano = $row["giudizio_italiano"];
    $voto_italiano = $str_voto[$row["voto_italiano"]];
    $traccia_lingue = $row["traccia_lingue"];
    $giudizio_lingue = $row["giudizio_lingue"];
    $voto_lingue = $str_voto[$row["voto_lingue"]];
    $traccia_matematica = $row["traccia_matematica"];
    $giudizio_matematica = $row["giudizio_matematica"];
    $voto_matematica = $str_voto[$row["voto_matematica"]];
    $traccia_colloquio = $row["traccia_colloquio"];
    $giudizio_finale = $row["giudizio_finale"];
    $voto_colloquio = $str_voto[$row["voto_colloquio"]];
    $voto_sottocommissione = $str_voto[$row["voto_sottocommissione"]];
    $giudizio_privatisti_non_licenziati = $row["giudizio_privatisti_non_licenziati"];
    $voto_commissione = $str_voto[$row["voto_commissione"]];
    $esito = $str_esito[$row["esito"]];
    $esito.= " con la valutazione di ".$voto_commissione."/10";
    $lode = $row["lode"];
    if($lode=="1")$esito.= " con lode";
    $data_stampa = formdata(date('Y-m-d'));
    $redattore = $row["redattore"];
    $sottocommissione = $row["sottocommissione"];
    //recupero dati esame*****************************
    $sql0 = "SELECT * FROM dati_esami WHERE target='$target' AND anno_scolastico='$anno_scolastico'";
    $ris0 = mysqli_query($conn,$sql0)or die(mysqli_error($conn));
    $riga = mysqli_fetch_array($ris0);
    $presidente = ucwords(strtolower($riga["presidente"]));
    $data_scrutinio = $riga["data_scrutinio"];
    $data_plenaria = $riga["data_plenaria"];
    $comm = $riga["commissari"];
    $commissari = explode('*',$comm);
    //fine recupero dati esami******************************
    
    $pdf=new PDF('P','mm','A4');
    // metadati
    
    
    $pdf->AliasNbPages();
    $pdf->AddPage();
    
     // Logo
    $sqlb="SELECT * FROM generalinfo";
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $city=trim($recb["city"]);
    $imgintestazione1="../img/logo_rep.jpg";
      
    $pdf->Image($imgintestazione1,95,15,20,20);
    $pdf->SetXY(10,40);
    $pdf->WriteHTMLinte($intestazione);
    
        
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    //$pdf->ln(15);
    
    $pdf->SetFont('Arial','B',12);
    $pdf->Ln(10);
    $tit="Anno Scolastico ".$anno_scolastico.'                                                                       Classe '.$target;;
    $pdf->Cell(0,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','B',10);
    $tit="Sessione unica                                                                                                           ".$sottocommissione.' Sottocommissione';
    $pdf->Cell(0,10,$tit,0,1,'L');
    $pdf->Ln(10);
    $pdf->SetFont('Arial','B',24);
    $tit = "ESAME DI STATO";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $tit = "CONCLUSIVO DEL PRIMO CICLO DI ISTRUZIONE";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $decorazione = "../img/decorazione.jpg";
    $pdf->Image($decorazione,75,125,59,7);
    $pdf->Ln(20);
    $pdf->SetFont('Arial','B',20);
    $tit = "SCHEDA PERSONALE DEL CANDIDATO";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','',18);
    $tit = "con verbale delle valutazioni sulle prove scritte \n e sul colloquio pluridisciplinare e risultato finale";
    $pdf->MultiCell(190,6,$tit,0,'C',0);
    $pdf->Ln(10);
    $pdf->SetFont('Arial','B',16);
    $tit = "Candidato/a ".utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)));
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','',16);
    $tit = "Nato/a  a ".utf8_decode(ucwords(strtolower($nato))).' ('.utf8_decode(ucwords($provincia)).') il '.formdata($data_nascita);
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->Ln(20);
    $tit = "II LINGUA COMUNITARIA: ".strtoupper($seconda_lingua);
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetY(271);
    $txt = 'Scheda generata dalla piattaforma Schoolcom sulla base del D.lgs. 62/2017 e s.m.i.';
    $pdf->SetFont('Arial','I',8);
    $pdf->MultiCell(190,4,$txt,0,'C',0);
    //fine prima pagina
    
    //seconda pagina
    $pdf->AddPage();
    $pdf->SetFont('Arial','B',12);
    $tit = utf8_decode("Il candidato è stato ammesso all'esame con il seguente giudizio di idoneità:");
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $giudizio_ammissione);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $pdf->SetFont('Arial','B',12);
    $pdf->Ln(10);
    $tit = utf8_decode("Il Consiglio di classe ha formulato inoltre il seguente consiglio orientativo sulle scelte successive:");
    $pdf->MultiCell(190,6,$tit,0,'L',0);
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $consiglio_orientativo);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $pdf->Ln(10);
    $pdf->SetFont('Arial','B',16);
    $tit = "PROVE D'ESAME";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',14);
    $tit = "PROVE SCRITTE";
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','B',12);
    $tit = 'Italiano (Traccia scelta N. '.$traccia_italiano.')';
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $giudizio_italiano);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $pdf->SetFont('Arial','B',12);
    $tit = 'Valutazione: '.$voto_italiano;
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->SetFont('Arial','B',12);
    $tit = 'I e II lingua comunitaria (Traccia scelta N. '.$traccia_lingue.')';
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $giudizio_lingue);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $pdf->SetFont('Arial','B',12);
    $tit = 'Valutazione: '.$voto_lingue;
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->SetFont('Arial','B',12);
    $tit = 'Matematica ed elementi di scienze e tecnologia (Traccia scelta N. '.$traccia_matematica.')';
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $giudizio_matematica);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $pdf->SetFont('Arial','B',12);
    $tit = 'Valutazione: '.$voto_matematica;
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->SetY(271);
    $txt = 'Esami di Stato - a.s. '.$anno_scolastico.' - Scheda personale del candidato '.ucwords(strtolower($cognome)).' '.ucwords(strtolower($nome));
    $pdf->SetFont('Arial','I',8);
    $pdf->MultiCell(190,4,$txt,0,'C',0);
    //fine seconda pagina
    
    //inizio terza pagina
    $pdf->AddPage();
    $pdf->SetFont('Arial','B',14);
    $tit = "COLLOQUIO PLURIDISCIPLINARE";
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','B',12);
    $tit = 'Traccia del colloquio:';
    $pdf->Cell(190,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $traccia_colloquio);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $tit = 'Valutazione del colloquio: '.$voto_colloquio;
    $pdf->SetY(250);
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->SetY(272);
    $txt = 'Esami di Stato - a.s. '.$anno_scolastico.' - Scheda personale del candidato '.ucwords(strtolower($cognome)).' '.ucwords(strtolower($nome));
    $pdf->SetFont('Arial','I',8);
    $pdf->MultiCell(190,4,$txt,0,'C',0);
    //fine terza pagina
    
    //inizio quarta pagina
    $pdf->AddPage();
    $pdf->SetFont('Arial','B',14);
    $tit = "VALUTAZIONE FINALE";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $tit = "Motivato giudizio complessivo della Sottocommissione ed eventuale modifica del consiglio orientativo:";
    $pdf->SetFont('Arial','B',12);
    $pdf->MultiCell(190,5,$tit,0,'L','0');
    $pdf->SetFont('Arial','',12);
    $titolo1 = iconv('UTF-8', 'windows-1252', $giudizio_finale);
    $titolo2 = str_replace("’", "'", $titolo1);
    $pdf->MultiCell(190,5,$titolo2,0,'L',0);
    $tit = 'Valutazione finale della sottocommissione: '.$voto_sottocommissione;
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(190,10,$tit,0,1,'R');
    if($giudizio_privatisti_non_licenziati!=""){
        $tit = "Giudizio per l'eventuale ammissione alla frequenza dell'ultima classe";
        $pdf->SetFont('Arial','',12);
        $pdf->Cell(190,10,$tit,0,1,'L');
        $pdf->MultiCell(190,5,utf8_decode($giudizio_privatisti_non_licenziati),0,'L',0);
    }
    $pdf->SetFont('Arial','B',14);
    $tit = "LA ".$sottocommissione.' SOTTOCOMMISSIONE';
    $pdf->SetFont('Arial','',11);
    $pdf->Cell(190,10,$tit,0,1,'C');
    $num_righe = (int)(sizeof($commissari)/2)+sizeof($commissari)%2;
    $sot = "";
    for ($i=0;$i<$num_righe;$i++){
        $com = $commissari[2*$i];
        $sql4 = "SELECT cognome,nome FROM utenti WHERE utente='$com'";
        $ris4 = mysqli_query($conn,$sql4)or die(mysqli_error($conn));
        $rec4 = mysqli_fetch_array($ris4);
        $cog = utf8_decode(ucwords(strtolower($rec4["cognome"])));
        $nom = utf8_decode(ucwords(strtolower($rec4["nome"])));
        $sot.= $nom.' '.$cog;
        $num_trattini = 35 - strlen($cog)-strlen($nom);
        for($j=0;$j<$num_trattini;$j++) $sot.="_";
        $com = $commissari[2*$i+1];
        $sql4 = "SELECT cognome,nome FROM utenti WHERE utente='$com'";
        $ris4 = mysqli_query($conn,$sql4)or die(mysqli_error($conn));
        $rec4 = mysqli_fetch_array($ris4);
        if(mysqli_num_rows($ris4)>0){
            $cog = utf8_decode(ucwords(strtolower($rec4["cognome"])));
            $nom = utf8_decode(ucwords(strtolower($rec4["nome"])));
            $sot.="    ".$nom.' '.$cog;
            $num_trattini = 35 - strlen($cog)-strlen($nom);
            for($j=0;$j<$num_trattini;$j++) $sot.="_";
            $sot.="   \n";
        }
    }
    $pdf->Multicell(190,10,$sot,0,'L',0);
    $pdf->SetFont('Arial','B',14);
    $pdf->Ln(10);
    $sot = "";
    for ($i=0;$i<70;$i++){
        $sot.= "_";
    }
    $pdf->Cell(190,10,$sot,0,1,'C');
    $tit = "La Commissione plenaria, visto il curriculum scolastico e le risultanze dell'esame, delibera che il/la candidato/a:";
    $pdf->SetFont('Arial','',12);
    $pdf->Multicell(190,10,$tit,0,'L',0);
    $pdf->SetFont('Arial','B',18);
    $tit = utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)));
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(190,10,$esito,0,1,'L');
    $pdf->Ln(10);
    $tit = ucwords(strtoupper($city)).", ".ch_date_format1($data_plenaria);
    $pdf->SetFont('Arial','',12);
    $pdf->Cell(190,10,$tit,0,1,'L');
    $posX = $pdf->GetX();
    $posY = $pdf->GetY();
    $timbro = "../img/timbro.png";
    $pdf->Image($timbro,$posX+100,$posY,20,20);
    $pdf->SetFont('Arial','B',12);
    $tit = "IL PRESIDENTE \n ".$presidente."\n ________________________________";
    $pdf->SetX(130);
    $pdf->MultiCell(80,6,$tit,0,'C',0);
    
    //fine quarta pagina
    $pdf->Output();
?>