<?php
/*
+--------------------------------------------------------------------------------
|		classe l'invio delle mail in formato html, e volendo con allegati
|		� stato scritta da Andrea Tarquini, tutti i diritti riservati
|		Vers. 1.0
|		Contatti:
|				mail:	andreat.80@gmail.com
|				icq:	305837380
|		Data Febbraio 2005
|
|		Uso
| 
|	 		$pntMail=new sentMail();
|			$pntMail->setMittente('mittende@mail.it');
|			$pntMail->setNomeFile('nome_file');
|			$pntMail->setIndFile('percorso_del_file');
|			$pntMail->setDestinatario('destinatario@mail.it');
|			$pntMail->setTesto('Testo che si va ad inserire dento la mail in formato html');
|			$pntMail->setOggetto('Oggetto mail');
|			$pntMail->setFileType('tipo_del_file');
|			if($pntMail->inviaMail())
|				 echo 'mail inviata';
|			else
|				echo 'mail non inviata';
| 
| 
| 
|  +--------------------------------------------------------------------------------
*/
class sentMail{
	//dichiarazione delle proprietà
	var $testo,$mittente,$destinatario,$oggetto,$errore,$titolo,$content,$replay,$nomeFile,$indFile,$fType,$inte;
	
	//metodo costruttore
	function sentMail(){		
		$this->destinatario=array();
		$this->errore=array();
		$this->content='multipart/alternative';
	}
	
	//metodo che imposta il mittende che invia la mail
	function setMittente($inMittende){
		$this->mittente=$inMittende;
	}
	
	//metodo che imposta il contenuto della mail
	function setTesto($inTesto){
		$this->testo=$inTesto;
	}
	
	//metodo che mimposta l'oggetto della mail
	function setOggetto($inOggetto){
		$this->oggetto=$inOggetto;
	}
	//metodo che imposta il nome del file
	function setNomeFile($inFile){$this->nomeFile=$inFile;}
	
	//metodo che imposta l'indirizzo del file
	function setIndFile($inFile){$this->indFile=$inFile;}
	
	//metodo che imposta il type del file
	function setFileType($inFile){$this->fType=$inFile;}
	
	//metodo che imposta la mail per la risposta
	function setReplay($inReplay){$this->replay=$inReplay;}
	
	//metodo che imposta il content delle mail
	function setContent($inCont){$this->content=$inCont;}
	
	//metodo che imposta il destinatario della mail
	function setDestinatario($inDestinatario){
		if(is_array($inDestinatario))
			$this->destinatario=$inDestinatario;
		else{
			$tmpDet=explode(',',$inDestinatario);
			$this->destinatario=$tmpDet;
		}
	}
	
	//metodo che imposta le intestazioni della mail
	function setInte($inValue){$this->inte=$inValue;}
	
	//metodo che imposta il titolo della mail
	function setTitolo($inTitolo){$this->titolo=$inTitolo;}
	
	//metodo che restitusce l'errore
	function getErrore(){return $this->errore;}
	
	//metodo che invia la mail
	function inviaMail(){
    $mess="<html><head></head>
		<body bgColor=#ffffff link=#333333 alink=#333333 vlink=#333333>";
    $mess=$mess.$this->testo;
    $mess=$mess."</body></html>";
  /*
		$mess="<html><head>
		<meta http-equiv=Content-Type content=\"text/html; charset=iso-8859-1\">
		<title>$this->titolo</title>
		$this->inte
		</head>
		<body bgColor=#ffffff link=#333333 alink=#333333 vlink=#333333>
		$this->testo
		</body></html>";
		*/
    $intestazioni = "From: $this->mittente\n";
		($this->replay!='') ? $intestazioni.="Replay-to:".$this->replay."\n" : "\n";
		$intestazioni.="X-Mailer: Sismail Web Email Interface\nMIME-version: 1.0\nContent-type: $this->content;\n boundary=\"Message-Boundary\"\n";
		($this->nomeFile) ? $intestazioni.="\nContent-transfer-encoding: 7BIT\nX-attachments: $this->nomeFile" : '';
		$body_top="--Message-Boundary\n";
		$body_top.="Content-type: text/html; charset=iso-8859-1\n"; 
		$body_top.="Content-transfer-encoding: 7BIT\n"; 
		$body_top.="Content-description: Mail message body\n\n";  
		$msg_body=$body_top.$mess;
		if($this->nomeFile!=''){
			$f=fopen($this->indFile,'r');
			$contenuto=fread($f,filesize($this->indFile));
			$enco_att=chunk_split(base64_encode($contenuto));
			fclose($f);
			if($this->fType!='' && $this->indFile!=''){
				$msg_body .= "\n\n--Message-Boundary\n";
				$msg_body .= "Content-type: $this->fType; name=\"$this->nomeFile\"\n";
				$msg_body .= "Content-Transfer-Encoding: BASE64\n";
				$msg_body .= "Content-disposition: attachment; filename=\"$this->nomeFile\"\n\n";
				$msg_body .= "$enco_att\n";
				$msg_body .= "--Message-Boundary--\n";
			}
		}
		foreach($this->destinatario as $tmpIndex=>$tmpValue){
			if(!mail($tmpValue,$this->oggetto,$msg_body,$intestazioni))
				return FALSE;
		}
		return TRUE;
	}
}

?>